Wind River Support Network

HomeDefectsLIN5-5857
Fixed

LIN5-5857 : libuuid package missing libuuid.so symlink

Created: Apr 12, 2013    Updated: Dec 19, 2017
Resolved Date: Jun 3, 2013
Found In Version: 5.0.1
Fix Version: 5.0.1.4
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

Usually a package will include a libX.so symlink which points to the actual library libX.so.1.0 (or whatever version). The libuuid package is missing this.

Workaround

Manually create the required symlink in the sysroot or on the target as needed.

Steps to Reproduce

$ configure --enable-board=qemux86 --enable-rootfs=glibc_std --enable-kernel=standard
$ make fs

examine the contents of the libuuid rpm files:

$ ./bitbake_build/tmp/sysroots/x86_64-linux/usr/bin/rpm -qlp export/RPMS/i686/libuuid1-2.21.1-r7.i686.rpm

/lib
/lib/libuuid.so.1
/lib/libuuid.so.1.3.0

$ ./bitbake_build/tmp/sysroots/x86_64-linux/usr/bin/rpm -qlp export/RPMS/i686/libuuid-dev-2.21.1-r7.i686.rpm 

/usr
/usr/include
/usr/include/uuid
/usr/include/uuid/uuid.h
/usr/lib
/usr/lib/pkgconfig
/usr/lib/pkgconfig/uuid.pc

I would expect to see this also in the dev rpm

/lib/libuuid.so

and this should be a symlink to libuuid.so.1.3.0

Looking at other libraries I am seeing what I expect.

Other Downloads


Live chat
Online